# Method: bidders.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders/list#body.ListBiddersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders/list#try-it)

Lists all the bidder accounts that belong to the caller.

### HTTP request

`GET https://realtimebidding.googleapis.com/v1/bidders`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of bidders to return. If unspecified, at most 100 bidders will be returned. The maximum value is 500; values above 500 will be coerced to 500. |
| `pageToken` | `string` A token identifying a page of results the server should return. This value is received from a previous `bidders.list` call in `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders/list#body.ListBiddersResponse.FIELDS.next_page_token`. |

### Request body

The request body must be empty.

### Response body

A response containing bidders.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "bidders": [ { object (`https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders#Bidder`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `bidders[]` | ``object (`https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders#Bidder`)`` List of bidders. |
| `nextPageToken` | `string` A token which can be passed to a subsequent call to the `bidders.list` method to retrieve the next page of results in `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders/list#body.QUERY_PARAMETERS.page_token`. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/realtime-bidding`